=== debian/changelog ===
shotcut (22.09.23+ds-4) unstable; urgency=medium

  * d/rules: fix for binary-all FTBFS. (Closes: #1020994)

 -- Gürkan Myczko <tar@debian.org>  Wed, 05 Oct 2022 10:25:15 +0200

shotcut (22.09.23+ds-3) unstable; urgency=medium

  * d/control: also add qttools5-private-dev to build-depends.

 -- Gürkan Myczko <tar@debian.org>  Mon, 26 Sep 2022 16:15:53 +0200

shotcut (22.09.23+ds-2) unstable; urgency=medium

  * d/control: add cmake to build-depends.

 -- Gürkan Myczko <tar@debian.org>  Mon, 26 Sep 2022 16:00:00 +0200

shotcut (22.09.23+ds-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.6.1.
  * d/control: build-depend on elfpatch.
  * d/rules: patch binary to find local library.

 -- Gürkan Myczko <tar@debian.org>  Mon, 26 Sep 2022 14:06:33 +0200
