=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

DEBARCH:=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export QTDIR=/usr/share/qt5
export QT_SELECT=qt5

%:
	dh $@

override_dh_shlibdeps:
	dh_shlibdeps -l/usr/lib/shotcut $(DEBARCH)

override_dh_install:
	dh_install
	-patchelf --set-rpath /usr/lib/shotcut debian/shotcut/usr/bin/shotcut

override_dh_dwz:
	echo NO THANKS
