## shotcut 22.10.22+ds

=== debian/changelog ===
shotcut (22.10.22+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Mon, 24 Oct 2022 07:53:17 +0200

shotcut (22.10.09~beta1+ds-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Wed, 12 Oct 2022 13:08:02 +0200
