## shotcut 22.10.25+ds

=== debian/changelog ===
shotcut (22.10.25+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Mon, 31 Oct 2022 12:12:45 +0100
