## shotcut 22.11.25+ds

=== debian/changelog ===
shotcut (22.11.25+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Mon, 28 Nov 2022 12:20:34 +0100
