## shotcut 22.12.21%2Bds

=== debian/changelog ===
shotcut (22.12.21+ds-2~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 16 Feb 2023 15:34:49 -0800

shotcut (22.12.21+ds-2) unstable; urgency=medium

  * d/rules: fix for broken executable script fix.

 -- Gürkan Myczko <tar@debian.org>  Thu, 22 Dec 2022 10:21:55 +0100

shotcut (22.12.21+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/rules: fix lintian script not executable.

 -- Gürkan Myczko <tar@debian.org>  Thu, 22 Dec 2022 09:06:28 +0100
