=== debian/control ===
Source: shotcut
Section: video
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Gürkan Myczko <tar@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               frei0r-plugins-dev,
               libjs-three,
               libmlt++-dev,
               libmlt-dev,
               libmovit-dev,
               libmp3lame-dev,
               libqt5opengl5-desktop-dev,
               libqt5webkit5-dev,
               libqt5websockets5-dev,
               libqt5x11extras5-dev,
               libx264-dev,
               libx265-dev,
               patchelf,
               qml-module-qtmultimedia,
               qml-module-qtquick-privatewidgets,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtdeclarative5-private-dev,
               qtmultimedia5-dev,
               qtquickcontrols2-5-dev,
               qttools5-dev-tools,
               qttools5-private-dev
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/multimedia-team/shotcut.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/shotcut
Homepage: https://www.shotcut.org/

Package: shotcut
Architecture: any
Depends: frei0r-plugins,
         libjs-three,
         melt,
         qml-module-qtgraphicaleffects,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-extras,
         qml-module-qtquick-layouts,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         shotcut-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: video editor
 This is a video editor with features like 4k resolution support,
 network stream playback, audio/webcam captures, and many more.

Package: shotcut-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: shotcut (<< 20.11.28+ds-1)
Replaces: shotcut (<< 20.11.28+ds-1)
Description: video editor data
 This is a video editor with features like 4k resolution support,
 network stream playback, audio/webcam captures, and many more.
 .
 These are data files needed for the binary package.
