=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,11 @@
 override_dh_install:
 	dh_install
 	-patchelf --set-rpath /usr/lib/shotcut debian/shotcut/usr/bin/shotcut
+	-chmod +x debian/*/usr/share/shotcut/qml/export-*/rebuild.sh
 
 override_dh_dwz:
 	echo NO THANKS
+
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
