=== src/CMakeLists.txt ===
--- 
+++ 
@@ -81,12 +81,15 @@
   qmltypes/colorpickeritem.cpp qmltypes/colorpickeritem.h
   qmltypes/colorwheelitem.cpp qmltypes/colorwheelitem.h
   qmltypes/qmlapplication.cpp qmltypes/qmlapplication.h
+  qmltypes/qmleditmenu.cpp qmltypes/qmleditmenu.h
   qmltypes/qmlfile.cpp qmltypes/qmlfile.h
   qmltypes/qmlfilter.cpp qmltypes/qmlfilter.h
+  qmltypes/qmlmarkermenu.cpp qmltypes/qmlmarkermenu.h
   qmltypes/qmlmetadata.cpp qmltypes/qmlmetadata.h
   qmltypes/qmlproducer.cpp qmltypes/qmlproducer.h
   qmltypes/qmlprofile.cpp qmltypes/qmlprofile.h
   qmltypes/qmlrichtext.cpp qmltypes/qmlrichtext.h
+  qmltypes/qmlrichtextmenu.cpp qmltypes/qmlrichtextmenu.h
   qmltypes/qmlutilities.cpp qmltypes/qmlutilities.h
   qmltypes/qmlview.cpp qmltypes/qmlview.h
   qmltypes/thumbnailprovider.cpp qmltypes/thumbnailprovider.h
@@ -269,8 +272,3 @@
     install(TARGETS shotcut RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
   endif()
 
-  install(DIRECTORY qml DESTINATION ${CMAKE_INSTALL_PREFIX}/share/shotcut/)
-endif()
-
-if(APPLE)
-  target_sources(shotcut PRIVATE macos.mm macos.h)
