## shotcut 23.07.29+git20230730+ds

=== debian/changelog ===
shotcut (23.07.29+git20230730+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Sun, 30 Jul 2023 13:33:28 +0200

shotcut (23.06.14+git20230616+ds-4) unstable; urgency=medium

  * Really fix broken Depends.

 -- Gürkan Myczko <tar@debian.org>  Wed, 21 Jun 2023 07:12:58 +0200

shotcut (23.06.14+git20230616+ds-3) unstable; urgency=medium

  * Fix broken Depends.

 -- Gürkan Myczko <tar@debian.org>  Tue, 20 Jun 2023 10:24:31 +0200

shotcut (23.06.14+git20230616+ds-2) unstable; urgency=medium

  * Fix Depends and Build-Depends. (Closes: #1038388)

 -- Gürkan Myczko <tar@debian.org>  Mon, 19 Jun 2023 14:55:31 +0200

shotcut (23.06.14+git20230616+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Fri, 16 Jun 2023 12:39:17 +0200

shotcut (23.05.14+git20230514+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Gürkan Myczko <tar@debian.org>  Sun, 11 Jun 2023 16:11:19 +0200

shotcut (23.05.14+git20230514+ds-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Wed, 17 May 2023 14:50:15 +0200

shotcut (23.05.07+git20230509+ds-1) experimental; urgency=medium

  * New upstream version.
  * d/control: add qt6-multimedia-dev, qt6-quick3d-dev, qml-qt6,
    qt6-base-dev, libqt6opengl6-dev, qt6-declarative-dev to build-depends.
  * Bump standards version to 4.6.2.

 -- Gürkan Myczko <tar@debian.org>  Tue, 09 May 2023 10:37:24 +0200
