## shotcut 23.12.15+git20231218+ds

=== debian/changelog ===
shotcut (23.12.15+git20231218+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Mon, 18 Dec 2023 08:19:26 +0100

shotcut (23.11.29+git20231201+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/control: add qt6-charts-dev to build-depends.

 -- Gürkan Myczko <tar@debian.org>  Fri, 01 Dec 2023 15:46:40 +0100

shotcut (23.09+git20231015+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: bump years.

 -- Gürkan Myczko <tar@debian.org>  Sun, 15 Oct 2023 15:05:41 +0200
