## shotcut 24.01.28+ds

=== debian/changelog ===
shotcut (24.01.28+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Mon, 29 Jan 2024 08:14:41 +0100
