## shotcut 24.01.31+ds

=== debian/changelog ===
shotcut (24.01.31+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Tue, 06 Feb 2024 08:14:33 +0100
