=== debian/control ===
--- 
+++ 
@@ -24,6 +24,7 @@
  qt6-declarative-dev,
  qt6-tools-dev,
  qt6-quick3d-dev,
+ qt6-charts-dev,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/multimedia-team/shotcut.git
