## shotcut 24.02.29+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,21 +29,22 @@
 set(CMAKE_AUTOUIC ON)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
-find_package(Qt5 5.15 REQUIRED
+find_package(Qt6 6.4 REQUIRED
   COMPONENTS
-  Widgets
+  Charts
+  Multimedia
   Network
+  OpenGL
+  OpenGLWidgets
   QuickControls2
   QuickWidgets
+  Sql
+  Widgets
   Xml
-  WebSockets
-  OpenGL
-  Sql
-  Multimedia
 )
 
 find_package(PkgConfig REQUIRED)
-pkg_check_modules(mlt++ REQUIRED IMPORTED_TARGET mlt++-7)
+pkg_check_modules(mlt++ REQUIRED IMPORTED_TARGET mlt++-7>=7.22.0)
 pkg_check_modules(FFTW IMPORTED_TARGET fftw3)
 if(NOT FFTW_FOUND)
   pkg_check_modules(FFTW REQUIRED IMPORTED_TARGET fftw)
@@ -71,4 +72,3 @@
 add_custom_target(qmlformat COMMAND
   ${CMAKE_PREFIX_PATH}/bin/qmlformat -i ${QML_SRC}
 )
-
