=== src/CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,7 @@
   abstractproducerwidget.cpp abstractproducerwidget.h
   actions.cpp actions.h
   autosavefile.cpp autosavefile.h
+  commands/filtercommands.cpp commands/filtercommands.h
   commands/markercommands.cpp commands/markercommands.h
   commands/playlistcommands.cpp commands/playlistcommands.h
   commands/timelinecommands.cpp commands/timelinecommands.h
@@ -14,6 +15,7 @@
   dialogs/addencodepresetdialog.ui
   dialogs/alignaudiodialog.cpp dialogs/alignaudiodialog.h
   dialogs/alignmentarray.cpp dialogs/alignmentarray.h
+  dialogs/bitratedialog.h dialogs/bitratedialog.cpp
   dialogs/customprofiledialog.cpp dialogs/customprofiledialog.h
   dialogs/customprofiledialog.ui
   dialogs/durationdialog.cpp dialogs/durationdialog.h
@@ -24,6 +26,7 @@
   dialogs/listselectiondialog.ui
   dialogs/longuitask.cpp dialogs/longuitask.h
   dialogs/multifileexportdialog.cpp dialogs/multifileexportdialog.h
+  dialogs/resourcedialog.cpp dialogs/resourcedialog.h
   dialogs/saveimagedialog.cpp dialogs/saveimagedialog.h
   dialogs/slideshowgeneratordialog.cpp dialogs/slideshowgeneratordialog.h
   dialogs/systemsyncdialog.cpp dialogs/systemsyncdialog.h
@@ -48,9 +51,9 @@
   docks/recentdock.ui
   docks/scopedock.cpp docks/scopedock.h
   docks/timelinedock.cpp docks/timelinedock.h
-  glwidget.cpp glwidget.h
   jobqueue.cpp jobqueue.h
   jobs/abstractjob.cpp jobs/abstractjob.h
+  jobs/bitrateviewerjob.h jobs/bitrateviewerjob.cpp
   jobs/encodejob.cpp jobs/encodejob.h
   jobs/ffmpegjob.cpp jobs/ffmpegjob.h
   jobs/ffprobejob.cpp jobs/ffprobejob.h
@@ -59,7 +62,6 @@
   jobs/postjobaction.cpp jobs/postjobaction.h
   jobs/qimagejob.cpp jobs/qimagejob.h
   jobs/videoqualityjob.cpp jobs/videoqualityjob.h
-  leapnetworklistener.cpp leapnetworklistener.h
   main.cpp
   mainwindow.cpp mainwindow.h
   mainwindow.ui
@@ -72,14 +74,20 @@
   models/keyframesmodel.cpp models/keyframesmodel.h
   models/markersmodel.cpp models/markersmodel.h
   models/metadatamodel.cpp models/metadatamodel.h
+  models/motiontrackermodel.h models/motiontrackermodel.cpp
   models/multitrackmodel.cpp models/multitrackmodel.h
   models/playlistmodel.cpp models/playlistmodel.h
+  models/resourcemodel.cpp models/resourcemodel.h
   openotherdialog.cpp openotherdialog.h
   openotherdialog.ui
   player.cpp player.h
   proxymanager.cpp proxymanager.h
+  qmltypes/colordialog.h qmltypes/colordialog.cpp
   qmltypes/colorpickeritem.cpp qmltypes/colorpickeritem.h
   qmltypes/colorwheelitem.cpp qmltypes/colorwheelitem.h
+  qmltypes/filedialog.h qmltypes/filedialog.cpp
+  qmltypes/fontdialog.h qmltypes/fontdialog.cpp
+  qmltypes/messagedialog.h qmltypes/messagedialog.cpp
   qmltypes/qmlapplication.cpp qmltypes/qmlapplication.h
   qmltypes/qmleditmenu.cpp qmltypes/qmleditmenu.h
   qmltypes/qmlfile.cpp qmltypes/qmlfile.h
@@ -99,6 +107,7 @@
   settings.cpp settings.h
   sharedframe.cpp sharedframe.h
   shotcut_mlt_properties.h
+  transcoder.cpp transcoder.h
   spatialmedia/box.cpp spatialmedia/box.h
   spatialmedia/container.cpp spatialmedia/container.h
   spatialmedia/mpeg4_container.cpp spatialmedia/mpeg4_container.h
@@ -106,6 +115,7 @@
   spatialmedia/spatialmedia.cpp spatialmedia/spatialmedia.h
   transportcontrol.h
   util.cpp util.h
+  videowidget.cpp videowidget.h
   widgets/alsawidget.cpp widgets/alsawidget.h
   widgets/alsawidget.ui
   widgets/audiometerwidget.cpp widgets/audiometerwidget.h
@@ -135,7 +145,6 @@
   widgets/gdigrabwidget.ui
   widgets/glaxnimateproducerwidget.cpp widgets/glaxnimateproducerwidget.h
   widgets/glaxnimateproducerwidget.ui
-  widgets/gltestwidget.cpp widgets/gltestwidget.h
   widgets/imageproducerwidget.cpp widgets/imageproducerwidget.h
   widgets/imageproducerwidget.ui
   widgets/isingwidget.cpp widgets/isingwidget.h
@@ -161,6 +170,7 @@
   widgets/producerpreviewwidget.cpp widgets/producerpreviewwidget.h
   widgets/pulseaudiowidget.cpp widgets/pulseaudiowidget.h
   widgets/pulseaudiowidget.ui
+  widgets/resourcewidget.cpp widgets/resourcewidget.h
   widgets/scopes/audioloudnessscopewidget.cpp widgets/scopes/audioloudnessscopewidget.h
   widgets/scopes/audiopeakmeterscopewidget.cpp widgets/scopes/audiopeakmeterscopewidget.h
   widgets/scopes/audiospectrumscopewidget.cpp widgets/scopes/audiospectrumscopewidget.h
@@ -217,7 +227,7 @@
   ../packaging/linux/snapcraft.yaml.in
   ../packaging/macos/Info.plist.in
   ../packaging/macos/shotcut.icns
-  ../packaging/windows/shotcut.nsi
+  ../packaging/windows/shotcut.iss
   ../packaging/windows/shotcut.rc.in
   ../README.md
   ../scripts/build-shotcut-msys2.sh
@@ -232,15 +242,16 @@
   CuteLogger
   PkgConfig::mlt++
   PkgConfig::FFTW
-  Qt5::Multimedia
-  Qt5::Network
-  Qt5::OpenGL
-  Qt5::QuickControls2
-  Qt5::QuickWidgets
-  Qt5::Sql
-  Qt5::WebSockets
-  Qt5::Widgets
-  Qt5::Xml
+  Qt6::Charts
+  Qt6::Multimedia
+  Qt6::Network
+  Qt6::OpenGL
+  Qt6::OpenGLWidgets
+  Qt6::QuickControls2
+  Qt6::QuickWidgets
+  Qt6::Sql
+  Qt6::Widgets
+  Qt6::Xml
 )
 
 file(GLOB_RECURSE QML_SRC "qml/*")
@@ -256,19 +267,5 @@
   target_sources(shotcut PRIVATE ${CMAKE_SOURCE_DIR}/packaging/windows/shotcut.rc)
 
   # Windows integration features
-  find_package(Qt5 5.15 REQUIRED COMPONENTS WinExtras)
-  target_sources(shotcut PRIVATE windowstools.cpp windowstools.h)
-  target_link_libraries(shotcut PRIVATE Qt5::WinExtras)
-
-  # Runtime exception handler for debug only
-  target_include_directories(shotcut PRIVATE ${CMAKE_SOURCE_DIR}/drmingw/include)
-  target_link_directories(shotcut PRIVATE ${CMAKE_SOURCE_DIR}/drmingw/x64/lib)
-  target_link_libraries(shotcut PRIVATE debug exchndl)
-
-  if(WINDOWS_DEPLOY)
-    install(TARGETS shotcut RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX})
-  else()
-    target_compile_definitions(shotcut PRIVATE NODEPLOY)
-    install(TARGETS shotcut RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
-  endif()
-
+  # These are not yet available in Qt 6. They plan to make a cross-platform API planned but not yet implemented.
+#  find_package(Qt 6.2 REQUIRED COMPONENTS WinExtras)
