=== translations/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-find_package(Qt5LinguistTools)
+find_package(Qt6 REQUIRED COMPONENTS LinguistTools)
 
 # Translation howto:
 # - Translations are mentioned in the LANGUAGES variable below
@@ -20,6 +20,7 @@
     fr
     gd
     gl
+    he_IL
     hu
     it
     ko
@@ -50,12 +51,13 @@
 list(TRANSFORM TS_FILES APPEND ".ts")
 
 # lupdate ts files
-add_custom_target(translations COMMAND
-  ${Qt5_LUPDATE_EXECUTABLE} -locations absolute -no-obsolete -recursive
-  ${CMAKE_SOURCE_DIR}/src -ts ${TS_FILES})
+file(GLOB_RECURSE SOURCES "${CMAKE_SOURCE_DIR}/src/*")
+qt_add_lupdate(shotcut TS_FILES ${TS_FILES} SOURCES ${SOURCES}
+    OPTIONS -locations absolute -no-obsolete -recursive)
+add_custom_target(translations DEPENDS shotcut_lupdate)
 
 # generate qm files with lrelease
-qt5_add_translation(QM_FILES ${TS_FILES})
+qt6_add_translation(QM_FILES ${TS_FILES})
 add_custom_target(qm ALL DEPENDS ${QM_FILES})
 
 if(UNIX AND NOT APPLE)
