=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,3 @@
 
 override_dh_dwz:
 	echo NO THANKS
-
-# No dbgsym packages:
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
