## shotcut 24.04.28+ds

=== debian/changelog ===
shotcut (24.04.28+ds-1build1) oracular; urgency=medium

  * Rebuild against new qt6.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 24 May 2024 10:20:03 +0200

shotcut (24.04.28+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: bump years.

 -- Alex Myczko <tar@debian.org>  Tue, 30 Apr 2024 08:56:03 +0200
