## shotcut 24.06.26+git20240816+ds

=== debian/changelog ===
shotcut (24.06.26+git20240816+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Fri, 16 Aug 2024 12:36:35 +0000
