## shotcut 24.09.13+ds

=== debian/changelog ===
shotcut (24.09.13+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Thu, 19 Sep 2024 07:41:40 +0000

shotcut (24.08.29+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Fri, 30 Aug 2024 06:20:05 +0000
