## shotcut 24.11.27%2Bds

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,7 @@
   commands/filtercommands.cpp commands/filtercommands.h
   commands/markercommands.cpp commands/markercommands.h
   commands/playlistcommands.cpp commands/playlistcommands.h
+  commands/subtitlecommands.cpp commands/subtitlecommands.h
   commands/timelinecommands.cpp commands/timelinecommands.h
   commands/undohelper.cpp commands/undohelper.h
   controllers/filtercontroller.cpp controllers/filtercontroller.h
@@ -29,12 +30,14 @@
   dialogs/resourcedialog.cpp dialogs/resourcedialog.h
   dialogs/saveimagedialog.cpp dialogs/saveimagedialog.h
   dialogs/slideshowgeneratordialog.cpp dialogs/slideshowgeneratordialog.h
+  dialogs/subtitletrackdialog.cpp dialogs/subtitletrackdialog.h
   dialogs/systemsyncdialog.cpp dialogs/systemsyncdialog.h
   dialogs/systemsyncdialog.ui
   dialogs/textviewerdialog.cpp dialogs/textviewerdialog.h
   dialogs/textviewerdialog.ui
   dialogs/transcodedialog.cpp dialogs/transcodedialog.h
   dialogs/transcodedialog.ui
+  dialogs/transcribeaudiodialog.cpp dialogs/transcribeaudiodialog.h
   dialogs/unlinkedfilesdialog.cpp dialogs/unlinkedfilesdialog.h
   dialogs/unlinkedfilesdialog.ui
   docks/encodedock.cpp docks/encodedock.h
@@ -50,6 +53,7 @@
   docks/recentdock.cpp docks/recentdock.h
   docks/recentdock.ui
   docks/scopedock.cpp docks/scopedock.h
+  docks/subtitlesdock.cpp docks/subtitlesdock.h
   docks/timelinedock.cpp docks/timelinedock.h
   jobqueue.cpp jobqueue.h
   jobs/abstractjob.cpp jobs/abstractjob.h
@@ -62,6 +66,7 @@
   jobs/postjobaction.cpp jobs/postjobaction.h
   jobs/qimagejob.cpp jobs/qimagejob.h
   jobs/videoqualityjob.cpp jobs/videoqualityjob.h
+  jobs/whisperjob.cpp jobs/whisperjob.h
   main.cpp
   mainwindow.cpp mainwindow.h
   mainwindow.ui
@@ -78,6 +83,9 @@
   models/multitrackmodel.cpp models/multitrackmodel.h
   models/playlistmodel.cpp models/playlistmodel.h
   models/resourcemodel.cpp models/resourcemodel.h
+  models/subtitles.cpp models/subtitles.h
+  models/subtitlesmodel.cpp models/subtitlesmodel.h
+  models/subtitlesselectionmodel.cpp models/subtitlesselectionmodel.h
   openotherdialog.cpp openotherdialog.h
   openotherdialog.ui
   player.cpp player.h
@@ -174,6 +182,8 @@
   widgets/scopes/audioloudnessscopewidget.cpp widgets/scopes/audioloudnessscopewidget.h
   widgets/scopes/audiopeakmeterscopewidget.cpp widgets/scopes/audiopeakmeterscopewidget.h
   widgets/scopes/audiospectrumscopewidget.cpp widgets/scopes/audiospectrumscopewidget.h
+  widgets/scopes/audiosurroundscopewidget.cpp widgets/scopes/audiosurroundscopewidget.h
+  widgets/scopes/audiovectorscopewidget.cpp widgets/scopes/audiovectorscopewidget.h
   widgets/scopes/audiowaveformscopewidget.cpp widgets/scopes/audiowaveformscopewidget.h
   widgets/scopes/scopewidget.cpp widgets/scopes/scopewidget.h
   widgets/scopes/videohistogramscopewidget.cpp widgets/scopes/videohistogramscopewidget.h
@@ -257,15 +267,3 @@
 file(GLOB_RECURSE QML_SRC "qml/*")
 target_sources(shotcut PRIVATE ${QML_SRC})
 
-target_include_directories(shotcut PRIVATE ${CMAKE_SOURCE_DIR}/CuteLogger/include)
-target_compile_definitions(shotcut PRIVATE SHOTCUT_VERSION="${SHOTCUT_VERSION}")
-
-if(WIN32)
-  # Windows resource
-  string(REPLACE . , PRODUCT_VERSION ${PROJECT_VERSION})
-  configure_file(${CMAKE_SOURCE_DIR}/packaging/windows/shotcut.rc.in ${CMAKE_SOURCE_DIR}/packaging/windows/shotcut.rc)
-  target_sources(shotcut PRIVATE ${CMAKE_SOURCE_DIR}/packaging/windows/shotcut.rc)
-
-  # Windows integration features
-  # These are not yet available in Qt 6. They plan to make a cross-platform API planned but not yet implemented.
-#  find_package(Qt 6.2 REQUIRED COMPONENTS WinExtras)
