=== translations/CMakeLists.txt ===
--- 
+++ 
@@ -16,6 +16,7 @@
     en_GB
     es
     et
+    eu
     fi
     fr
     gd
