## shotcut 24.11.27+ds

=== debian/changelog ===
shotcut (24.11.27+ds-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 08 Dec 2024 21:22:05 -0800

shotcut (24.11.27+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Wed, 20 Nov 2024 11:06:58 +0000

shotcut (24.10.29+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Mon, 11 Nov 2024 10:07:55 +0000
