=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,8 @@
 
 DEBARCH:=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-export QTDIR=/usr/share/qt5
-export QT_SELECT=qt5
+export QTDIR=/usr/share/qt6
+export QT_SELECT=qt6
 
 %:
 	dh $@
@@ -27,4 +27,9 @@
 	-chmod +x debian/*/usr/share/shotcut/qml/export-*/rebuild.sh
 
 override_dh_dwz:
-	echo NO THANKS
+	echo NO THANKS, YOU ARE WELCOME 
+
+# No dbgsym packages:
+override_dh_strip:
+	@echo "NO THANK YOU ANYWAY but not building dbgsym packages for MX Linux"
+	dh_strip --no-automatic-dbgsym
