=== debian/changelog ===
shotcut (25.01.25+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/README.source and d/shotcut.docs: dropped in favor of d/copyright.

 -- Alex Myczko <tar@debian.org>  Thu, 13 Feb 2025 11:34:02 +0000
